## zabbix-cli 1.7.0

=== docs/Makefile ===
#
# Makefile
#

VERSION="1.7.0"

all:	html man pdf

html:	
	rst2html -gdt --stylesheet-path=style.css manual.rst > zabbix-cli-manual-$(VERSION).html

man:
	rst2man manual.rst > zabbix-cli-manual-$(VERSION).man

pdf:
	cat manual.rst | sed s/":scale: 50%"/":scale: 100%"/g > manual.tmp
	rst2pdf --output zabbix-cli-manual-$(VERSION).pdf manual.tmp
	rm -f manual.tmp

clean:
	rm -f zabbix-cli-manual-$(VERSION)*.html
	rm -f zabbix-cli-manual-$(VERSION)*.man
	rm -f zabbix-cli-manual-$(VERSION)*.pdf
	rm -f *~

## zabbix-cli 3.3.0

=== debian/changelog ===
zabbix-cli (3.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1087956)

 -- Jakob Haufe <sur5r@debian.org>  Thu, 28 Nov 2024 12:43:31 +0100

=== debian/control ===
Source: zabbix-cli
Rules-Requires-Root: no
Standards-Version: 4.7.0
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>
Homepage: https://github.com/unioslo/zabbix-cli
Vcs-Git: https://salsa.debian.org/python-team/packages/zabbix-cli.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/zabbix-cli
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3,
               python3-click,
               python3-freezegun,
               python3-hatchling,
               python3-httpx,
               python3-inline-snapshot,
               python3-platformdirs,
               python3-pydantic,
               python3-pytest,
               python3-tomli,
               python3-tomli-w,
               python3-typer

Package: zabbix-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Command-line interface for Zabbix
 Zabbix-cli is a command line interface for performing common administrative
 tasks in Zabbix monitoring system via the Zabbix API.

## zabbix-cli 3.4.2

=== debian/changelog ===
zabbix-cli (3.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.4.2
  * debian/control: Apply wrap-and-sort -abst.
  * debian/control: Require python3-typer (>= 0.13.1).
  * debian/patches: Refresh patches on strenum.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2025 13:43:43 -0500

zabbix-cli (3.3.0-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2025 11:33:43 -0500

=== debian/control ===
Source: zabbix-cli
Rules-Requires-Root: no
Standards-Version: 4.7.0
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jakob Haufe <sur5r@debian.org>,
Homepage: https://github.com/unioslo/zabbix-cli
Vcs-Git: https://salsa.debian.org/python-team/packages/zabbix-cli.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/zabbix-cli
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-click,
 python3-freezegun,
 python3-hatchling,
 python3-httpx,
 python3-inline-snapshot,
 python3-platformdirs,
 python3-pydantic,
 python3-pytest,
 python3-tomli,
 python3-tomli-w,
 python3-typer (>= 0.13.1),

Package: zabbix-cli
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Command-line interface for Zabbix
 Zabbix-cli is a command line interface for performing common administrative
 tasks in Zabbix monitoring system via the Zabbix API.

## zabbix-cli 3.5.0

=== debian/changelog ===
zabbix-cli (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0

 -- Jakob Haufe <sur5r@debian.org>  Sat, 25 Jan 2025 23:12:42 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  python3-platformdirs,
  python3-pydantic,
  python3-pytest,
+ python3-pytest-httpserver,
  python3-tomli,
  python3-tomli-w,
  python3-typer (>= 0.13.1),

## zabbix-cli 3.5.1

=== debian/changelog ===
zabbix-cli (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1

 -- Jakob Haufe <sur5r@debian.org>  Sun, 23 Mar 2025 12:32:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: zabbix-cli
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: utils
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
@@ -12,6 +12,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+Build-Depends-Indep:
  pybuild-plugin-pyproject,
  python3,
  python3-click,
@@ -20,6 +21,7 @@
  python3-httpx,
  python3-inline-snapshot,
  python3-platformdirs,
+ python3-prompt-toolkit,
  python3-pydantic,
  python3-pytest,
  python3-pytest-httpserver,

## zabbix-cli 3.5.2

=== debian/changelog ===
zabbix-cli (3.5.2-3) unstable; urgency=medium

  * Add patch to work with typer >= 0.17.0 (Closes: #1116618)

 -- Jakob Haufe <sur5r@debian.org>  Tue, 30 Sep 2025 10:06:57 +0200

zabbix-cli (3.5.2-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-tomli
  * Source-only upload to allow migration to testing

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Aug 2025 00:39:28 +0200

zabbix-cli (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2

 -- Jakob Haufe <sur5r@debian.org>  Mon, 11 Aug 2025 21:36:36 +0200

## zabbix-cli 3.5.3

=== debian/changelog ===
zabbix-cli (3.5.3-1) unstable; urgency=medium

  * New upstream version 3.5.3

 -- Jakob Haufe <sur5r@debian.org>  Mon, 20 Oct 2025 13:14:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: zabbix-cli
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Section: utils
 Priority: optional
@@ -25,7 +24,6 @@
  python3-pydantic,
  python3-pytest,
  python3-pytest-httpserver,
- python3-tomli,
  python3-tomli-w,
  python3-typer (>= 0.13.1),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zabbix-cli

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/unioslo/zabbix-cli/releases \
https://api.github.com/repos/unioslo/zabbix-cli/tarball/@ANY_VERSION@

## zabbix-cli 3.6.2

=== debian/changelog ===
zabbix-cli (3.6.2-1) unstable; urgency=medium

  * New upstream version 3.6.2

 -- Jakob Haufe <sur5r@debian.org>  Mon, 19 Jan 2026 18:24:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_auto_test:
+	dh_auto_test -O--buildsystem-pybuild -- --test-args=--inline-snapshot=report
